Bug 890608 (CVE-2012-6073)

Summary: CVE-2012-6073 Jenkins: open redirect
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bleanhar, jialiu, lmeyer, rmillner, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121120,reported=20121120,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,openshift-1/jenkins=affected,openshift-enterprise-1/jenkins=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-23 09:09:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 890614, 890615    
Bug Blocks: 890613    

Description Kurt Seifried 2012-12-28 00:57:52 EST
Jenkins Security Advisory 2012-11-20

The second vulnerability is so-called open redirect vulnerability. This 
allows an anonymous attacker to create an URL that looks as if it's pointing 
to Jenkins, yet it actually lands on the site that the attacker controls. 
This can be therefore used as a basis for phishing.

Fix:
Main line users should upgrade to Jenkins 1.491
LTS users should upgrade to 1.480.1

External URLs:
https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2012-11-20
http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-11-20.cb
Comment 3 errata-xmlrpc 2013-01-31 15:34:11 EST
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0220 https://rhn.redhat.com/errata/RHSA-2013-0220.html